Get an exception list item
- Base URL
-
https://{kibana_url}
- GET /api/exception_lists/items
- GET /s/{space_id}/api/exception_lists/items
Refer to Spaces for more information.
Get the details of an exception list item using the id or item_id field.
Query parameters
Responses
Successful response
-
_versionstring -
The version id, normally returned by the API when the item was retrieved. Use it ensure updates are done against the latest version.
-
commentsobjectrequired -
Array of comment fields:
- comment (string): Comments about the exception item.
-
expire_timestring · format: date-time -
The exception item’s expiration date, in ISO format. This field is only available for regular exception items, not endpoint exceptions.
-
item_idstring · format: nonempty · min length: 1required -
Human readable string identifier, e.g.
trusted-linux-processes -
list_idstring · format: nonempty · min length: 1required -
The exception list's human-readable string identifier.
For endpoint artifacts, use one of the following values:
endpoint_list: Elastic Endpoint exceptions listendpoint_trusted_apps: Trusted applications listendpoint_trusted_devices: Trusted devices listendpoint_event_filters: Event filters listendpoint_host_isolation_exceptions: Host isolation exceptions listendpoint_blocklists: Blocklist
-
namespace_typerequired -
Determines whether the exception container is available in all Kibana spaces or just the space in which it is created, where:
single: Only available in the Kibana space in which it is created.agnostic: Available in all Kibana spaces.
For endpoint artifacts, the
namespace_typemust always beagnostic. Space awareness for endpoint artifacts is enforced based on Elastic Defend policy assignments. -
Values:
agnosticsingle
Invalid input data response
Unsuccessful authentication response
Not enough privileges response
Exception list item not found response